> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List item offers

> Retrieve a paginated list of all item offers created by the authenticated seller with filtering and sorting options.



## OpenAPI

````yaml /api/openapi.json get /v2/item-offers
openapi: 3.1.0
info:
  title: GameBoost
  version: 2.0.0
servers:
  - url: https://api.gameboost.com
    description: GameBoost API
security:
  - BearerTokenSecurityScheme: []
tags:
  - name: Games
    description: Games
  - name: Seller Breaks
    description: Seller Breaks
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: Account Offers
    description: Account Offers
  - name: Account Orders
    description: Account Orders
  - name: Item Offers
    description: Item Offers
  - name: Item Orders
    description: Item Orders
  - name: Currency Offers
    description: Currency Offers
  - name: Currency Orders
    description: Currency Orders
  - name: Webhooks
    description: Webhook events sent to your endpoints when specific actions occur
  - name: Gift Card Offers
    description: Gift Card Offers
  - name: Gift Card Orders
    description: Gift Card Orders
paths:
  /v2/item-offers:
    get:
      tags:
        - Item Offers
      summary: List item offers
      description: >-
        Retrieve a paginated list of all item offers created by the
        authenticated seller with filtering and sorting options.
      parameters:
        - name: filter[search]
          in: query
          description: Search item offers by id, title, or description
          required: false
          schema:
            type: string
        - name: filter[id]
          in: query
          description: >-
            Filter by exact id. Supports comma-separated values for multiple
            matches.
          required: false
          schema:
            type: string
            example: 3,6,9
        - name: filter[external_id]
          in: query
          description: >-
            Filter by exact external id. Supports comma-separated values for
            multiple matches.
          required: false
          schema:
            type: string
            example: my-sku-123,my-sku-456
        - name: filter[title]
          in: query
          description: >-
            Filter by exact title. Supports comma-separated values for multiple
            matches.
          required: false
          schema:
            type: string
            example: example
        - name: filter[game_id]
          in: query
          description: >-
            Filter by exact game id. Supports comma-separated values for
            multiple matches.
          required: false
          schema:
            type: string
            example: 29245
        - name: filter[status]
          in: query
          description: Filter by offer status
          required: false
          schema:
            enum:
              - draft
              - listed
              - archived
            type: string
            example: draft
        - name: filter[created_at]
          in: query
          description: >-
            Filter by created at. Supports single date (YYYY-MM-DD) or date
            range (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: 2019-08-14,2025-12-31
        - name: filter[updated_at]
          in: query
          description: >-
            Filter by updated at. Supports single date (YYYY-MM-DD) or date
            range (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: '2025-10-05'
        - name: filter[listed_at]
          in: query
          description: >-
            Filter by listed at. Supports single date (YYYY-MM-DD) or date range
            (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: 2019-08-14,2025-12-31
        - name: sort
          in: query
          description: Sort by field. Prefix with - for descending order.
          required: false
          schema:
            enum:
              - id
              - '-id'
              - price
              - '-price'
              - views
              - '-views'
              - stock
              - '-stock'
              - delivery_time
              - '-delivery_time'
              - created_at
              - '-created_at'
              - updated_at
              - '-updated_at'
              - listed_at
              - '-listed_at'
            default: '-updated_at'
            type: string
            example: '-updated_at'
        - name: per_page
          in: query
          description: Items per page (max 50)
          required: false
          schema:
            default: 15
            type: integer
            maximum: 50
            minimum: 1
      responses:
        '200':
          description: A paginated list of item offers
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ItemOffer'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type: integer
                      last_page:
                        type: integer
                      per_page:
                        type: integer
                      to:
                        type: integer
                      total:
                        type: integer
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        nullable: true
                      last:
                        type: string
                        nullable: true
                      prev:
                        type: string
                        nullable: true
                      next:
                        type: string
                        nullable: true
        '401':
          $ref: '#/components/responses/ErrorUnauthenticated'
        '429':
          $ref: '#/components/responses/ErrorRateLimited'
      security:
        - BearerToken: []
components:
  schemas:
    ItemOffer:
      description: Item offer object representing in-game items for sale
      type: object
      properties:
        id:
          description: Unique identifier for the item offer
          type: integer
        external_id:
          description: >-
            External identifier for the item offer, used to map to your own
            system
          type: string
          nullable: true
        game:
          $ref: '#/components/schemas/GameRelation'
        title:
          description: Display name for the item offer
          type: string
        slug:
          description: URL-friendly identifier for the item offer
          type: string
        description:
          description: Detailed description of the items and what is included
          type: string
          nullable: true
        parameters:
          description: >-
            Game-specific item parameters such as server, region, or item
            attributes
          type: object
          nullable: true
        status:
          description: Current status of the item offer
          enum:
            - draft
            - listed
            - archived
          type: string
        delivery_time:
          $ref: '#/components/schemas/DeliveryTime'
        delivery_instructions:
          description: >-
            Special instructions for item delivery, provided to buyer after
            purchase
          type: string
          nullable: true
        delivery_method:
          description: Delivery method used to collect customer precheckout information
          enum:
            - none
            - username
            - login
            - trade
            - auction
            - gift
            - redeem
            - mail
          type: string
          nullable: true
        excluded_delivery_fields:
          description: Optional delivery fields disabled by the seller
          type: array
          items:
            enum:
              - username
              - server
              - login
              - password
              - platform
              - region
            type: string
        delivery_method_data:
          description: >-
            Resolved delivery method metadata and customer fields after
            game-specific label overrides
          type: object
          nullable: true
        stock:
          description: Available quantity of items in stock
          type: integer
        min_quantity:
          description: Minimum quantity that can be purchased in a single order
          type: integer
        price_eur:
          description: Price per unit in EUR currency
          type: string
        price_usd:
          description: Price per unit converted to USD using current exchange rates
          type: string
        views:
          description: Total number of times this item offer has been viewed
          type: integer
        image_urls:
          description: Array of image URLs showcasing the items
          type: array
          items:
            type: string
          nullable: true
        created_at:
          description: Unix timestamp when the item offer was created
          type: integer
        updated_at:
          description: Unix timestamp of the last modification to the item offer
          type: integer
        listed_at:
          description: Unix timestamp when the item offer was made publicly available
          type: integer
          nullable: true
    GameRelation:
      description: Basic game information used in relations
      type: object
      properties:
        id:
          description: Unique identifier for the game
          type: integer
        name:
          description: Display name of the game
          type: string
        slug:
          description: URL-friendly identifier for the game
          type: string
    DeliveryTime:
      description: Delivery time object representing expected delivery duration
      type: object
      properties:
        duration:
          description: Numeric value representing the delivery time
          type: integer
        unit:
          description: Time unit for the duration (minutes, hours, days)
          enum:
            - minutes
            - hours
            - days
          type: string
        format:
          description: Human-readable delivery time (e.g., "2 hr")
          type: string
        format_long:
          description: Extended format delivery time (e.g., "2 hours")
          type: string
        seconds:
          description: Total delivery time converted to seconds
          type: integer
  responses:
    ErrorUnauthenticated:
      description: >-
        User is not authenticated, happens when the API key is missing, expired
        or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
    ErrorRateLimited:
      description: >-
        Rate limit exceeded, happens when you exceed the rate limit for the
        endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Too many requests.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````